# compact (surface)

## Name

compact (surface) — Is a normal surface compact?

## Synopsis

Content Model

    compact ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `compact` (surface) element stores whether or not a normal surface is compact, that is, whether it has finitely many normal discs.

### Parents

The following elements contain `compact` (in the context of the compactness of a normal surface): `surface`.

### Children

Element `compact` (in the context of the compactness of a normal surface) has no children.

## Attributes

`value`

  Either `T` or `F`, according to whether the parent surface is or is not compact.